%define upstream_name    Commandable
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find commands stored as subs with attributes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Commandable/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
This distribution contains a collection of utilities extracted from various
commandline-based programs I have written, in the hope of trying to find a
standard base to build these from in future.

Note that "commandline" does not necessarily mean "plain-text running in a
terminal"; simply that the mode of operation is that the user types a
textual representation of some action, and the program parses this text in
order to perform it. This could equally apply to a command input text area
in a GUI program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.110.0-2.mga10
+ Revision: 2218581
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.110.0-1.mga10
+ Revision: 1980930
- update to 0.11

* Mon Dec 05 2022 tv <tv> 0.90.0-1.mga9
+ Revision: 1918090
- update to 0.09

* Tue Sep 06 2022 tv <tv> 0.80.0-1.mga9
+ Revision: 1884483
- update to 0.08

* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-2.mga9
+ Revision: 1816178
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.60.0-1.mga9
+ Revision: 1777935
- imported package perl-Commandable


* Wed Feb 16 2022 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
